/*
 *   Copyright (C) 1988-2006 Lucent Technologies Inc. and others.
 *   All Rights Reserved.
 */

typedef	struct {
	int	button;
	int	percent;
	int	x1;
	int	y1;
	int	x2;
	int	y2;
} MOUSEEVENT;

typedef	struct {
	char	*text;
	char	*value;
} MOUSEMENU;

typedef	enum {
	NONE,		/* must be first value */
	EMACSTERM,
	MYX,
	PC7300
} MOUSETYPE;

extern	MOUSETYPE mouse;

#if defined( __STDC__ ) || defined( __BORLANDC__ )
void	cleanupmouse(void);
void	downloadmenu(MOUSEMENU *menu);
void	drawscrollbar(int top, int bot, int total);
int	getcoordinate(void);
MOUSEEVENT *getmouseevent(void);
int	getpercent(void);
void	initmouse(void);
int	labelarea(char *s);
void	reinitmouse(void);
#else
void	cleanupmouse();
MOUSEEVENT *getmouseevent();
void	drawscrollbar();
void	downloadmenu();
void	initmouse();
void	reinitmouse();
#endif
